Página principal

Bitácora de una instalación de Debian 8


Voy a intentar explicar todos los paso que he seguido para instalar Debian 8, con su problemas y soluciones.

Mi equipo es modesto:
    AMD Athlon(tm) 64 X2 Dual Core Processor 3800+
    2G de RAM
    Tarjeta gráfica integrada NVIDIA Corporation C61 [GeForce 7025 / nForce 630a]

Lo único que tengo un poco diferente es la cantidad de particiones en el disco duro para poder tener varios sistemas operativo:

Device     Boot      Start        End    Sectors   Size Id Type
/dev/sda1  *            63  102398309  102398247  48,8G  7 HPFS/NTFS/exFAT
/dev/sda2        102398371 1502962754 1400564384 667,9G  f W95 Ext'd (LBA)
/dev/sda5        102398373  204796619  102398247  48,8G  7 HPFS/NTFS/exFAT
/dev/sda6        204796683  753946514  549149832 261,9G  b W95 FAT32
/dev/sda7        753946578 1269633014  515686437 245,9G  7 HPFS/NTFS/exFAT
/dev/sda8       1269633024 1318461439   48828416  23,3G 83 Linux
/dev/sda9       1318463488 1320415231    1951744   953M 82 Linux swap / Solaris
/dev/sda10      1320417280 1369634815   49217536  23,5G 83 Linux
/dev/sda11      1369636864 1398931455   29294592    14G 83 Linux
/dev/sda12      1398933504 1428228095   29294592    14G 83 Linux
/dev/sda13      1428230144 1463902018   35671875    17G 83 Linux
/dev/sda14      1463902208 1502962754   39060547  18,6G 83 Linux

Como se puede observar son muchas las particiones que tengo, en este caso voy a instalarlo en la partición /dev/sda12 .
Por no repetir todos los pasos recomiendo la página:
http://blog.desdelinux.net/instalacion-configuracion-Debian-8-gnome/
donde viene muy bien explicado los pasos para la instalación .
A mi gnome3 no me gusta, cada uno tiene sus propios gustos, es lo bueno que tiene linux, cada uno elige lo que le gusta, al menos podemos elegir, en windows tenemos que tragar el Windows  8,  que a casi nadie le gusta y que se tiene que tragar con el. Yo he elegido MATE y XFCE como entornos de trabajo, uno debido a que me gusta y el otro por su simplicidad.

En el primer reinicio de sistema nos encontramos con grub, ahora si existen varios tipos de arranques en la misma partición , como opciones avanzadas,  se han metido en submenus .
Ya vemos como aparece el arranque de linux, hasta que se para en  display manager
donde se mete el usuario y contraseña y se selecciona el tipo de entorno gráfico (Mate/Xfce).
El  display manager que se instala por defecto en la instalación de Xfce es  lightdm.
Si instalamos el gdm3 instala un montón de programas innecesarios, de tal forma que apareció un fork  de gdm2 llamado mdm. En Debian 7 yo instalaba gdm2 que me gustaba mas que gdm3, pero en Debian 8 no he podido hacerlo funcionar , lo instalo pero no funciona y se queda colgado. Posteriormente indicaré como configurar un poco el lightdm para hacerlo mas amigable.

Ya tenemos arrancado el entorno gráfico MATE, lo configuro como a mi me gusta y empiezo a probarlo. Noto que los menús van bastante mas lentos que en Debian 7 ,  es extraño aparecen los textos de los menús  pero los iconos tardan en aparecer. Cuando después de un rato ya se han precargado ya aparecen instantáneamente. Por diversos motivos suelo instalar  el navegador Chrome, y es lo primero que hago.  El navegador  Chrome funciona bien  incluso la carga de vídeos. Ahora pruebo el navegador Iceweasel y parece que funciona bien a falta de instalar flash. Por pura casualidad salgo de Iceweasel y vuelvo a entrar, el ordenador se bloquea quedando la pantalla con líneas raras. La única forma de desbloquear el ordenador es resetear a lo bruto el PC. Después  de varias pruebas y varios cuelgues, descubro que el navegador Iceweasel  es incompatible con el driver nouveau de mi tarjeta gráfica, esto mismo también me pasaba con Ubuntu, no es cosa nueva. Debe ser que el navegador utiliza aceleración por hardware que no es compatible con los drivers nouveau de mi tarjeta gráfica, he probado deshabilitar  la aceleración  en el navegador, pero no he podido o no he sabido.


Instalar los driver propietarios de mi tarjeta gráfica GeForce 7025 / nForce 630a.

-Te bajas el driver correspondiente a tu tarjeta, en mi caso   NVIDIA-Linux-x86-304.125.run
-Instalas lo programas.
    sudo  aptitude install build-essential linux-headers-`uname -r` gcc make  fakeroot
-Como root.
       Añadir en /etc/modprobe.d/fbdev-blacklist.conf        blacklist nouveau
       Añadir en /etc/modprobe.d/modesetting.conf          options nouveau modeset=0
-Reiniciar el ordenador, ya no carga el modulo  nouveau
-Ahora se sale de Xorg mediante                
               /etc/init.d/lightdm stop      o       /etc/init.d/gdm stop     o       /etc/init.d/kdm stop
      eso dependerá de que escritorio hayas elegido.
     
-Ejecutar el driver propietario correspondiente a tu tarjeta(hay que dar permisos de ejecución).
              ./NVIDIA-Linux-x86-304.125.run
-Seguro que te dice que la versión de gcc no es la misma que si quieres abortar, respondes NO

-Después de un rato habrá terminado la instalación del driver, y te preguntará que si quieres que modifique automáticamente la configuración de Xorg, dices que SI.
-Reinicia el ordenador y ya tienes el driver propietario de Nvidia instalado.
Probamos el navegador Iceweasel que antes se colgaba, ahora funciona bien, y instalamos un juego de billar que utiliza las 3D, todo funciona bien.

A start job is running for dev-disk-by\x2uuid-f782f311\<more numbers>.device [1min 30s]
Después de tener que instalar varias veces Debian 8 me sale un error al arrancar.
A start job is running for dev-disk-by\x2uuid-f782f311\<more numbers>.device [1min 30s]
Se tira 90 segundos hasta que arranca, como buscando algo. Mirando por internet he encontrado la solución. En el fichero de configuración /etc/fstab  hay comentar la línea donde se especifica la partición swap y cambiarlo para que monte la swap en un lugar fijo.
En mi caso es de la siguiente forma:
#UUID=201cea1e-d980-43b9-8d9d-fc2badcfa051 none            swap    sw              0       0
/dev/sda9          swap         swap         defaults     0     0

Creo que el error aparece si instalas varios linux , que cambian el nombre de la partición, por lo cual el otro sistema linux no encuentra el nombre que le había dado el.

Repositorios
Si no quieres bajar los 3 DVD de Debian 8, te recomiendo que añadas en el archivo
 /etc/apt/sources.list    la siguiente línea:
    deb http://ftp.es.debian.org/debian/ jessie non-free contrib main
Son los repositorios de Debian en España.


Impresoras  HP Deskjet F300 y Canon LBP2900
-Tengo dos impresoras, una HP F380 multifunción y una impresora láser Canon LBP2900.
Con la impresora  HP F380 no tengo ningún problema, la reconoce y la instala perfectamente con el driver  HP Deskjet f300 Series, hpcups 3.14.6   , además puedes instalar la misma impresora con otro driver  HP Deskjet f300 Series hpijs, 3.14.6, existen algunas diferencias entre ellos, en algunas opciones es mejor uno que otro.
El scaner de la impresora lo detecta automáticamente y con xsane ya puedes funcionar.
También puedes instalar  una aplicación HPLIP  que tiene una serie de aplicaciones para el manejo de la impresora.

-Con la Canon LBP2900 el asunto es diferente, hay que bajar los driver de la casa y seguir las siguientes instrucciones:
Lo primero es ir a la casa y bajar el driver:
 Linux_CAPT_PrinterDriver_V260_uk_EN.tar.gz
 Descomprime el fichero y sigue las instrucciones que vienen, en mi caso son las siguientes:
 
 dpkg -i *.deb
 
Debemos crear  directorios:
     mkdir /var/ccpd
    mkfifo  /var/ccpd/fifo0
    mkdir /var/captmon
 
Terminamos con crear la impresora y configurarla:
 /usr/sbin/lpadmin -p LBP2900 -m CNCUPSLBP2900CAPTK.ppd -v ccp://localhost:59787 -E
     /usr/sbin/ccpdadmin -p LBP2900 -o /dev/usb/lp0
     /etc/init.d/ccpd restart
 
Existe una utilizad para confirma que todo ha ido bien:
 captstatusui -P LBP2900
 
Si nos sale el error :
 *** captstatusui Socket Error ***
 significa que  el demonio ccpd no está lanzado.
 Para lanzarlo  teclear:
     /etc/init.d/ccpd start
 Ahora volvemos a lanzar la aplicación
 captstatusui -P LBP2900
 y vemos que nos sale:
 
Puede que no salga un error de comunicaciones con la impresora.
 Para eliminarlo solo tenemos que apagar y encender la impresora y nos aparecerá: Ready to Print , que nos indica que la impresora está lista para imprimir.


TDT usb
Tengo 3 sintonizadores de TDT en usb:

TVISTO - ID 15a4:9016 Afatech Technologies, Inc. AF9015 DVB-T USB2.0
Se necesita que bajes de internet el firmware dvb-usb-af9015.fw y lo copies en el directorio
 /lib/firmware

NPG-nano - ID 187f:0201 Siano Mobile Silicon Nova B
Se necesita que bajes de internet el firmware dvb_nova_12mhz_b0.inp  y lo copies en el directorio  /lib/firmware

ID 0bda:2838 Realtek Semiconductor Corp. RTL2838 DVB-T
Este receptor es muy popular y no hace falta ningún firmware.
Mediante la aplicación Gqrx  puedes transformarlo en un receptor de frecuencias de radio (Software defined radio receiver).

El método sencillo es utilizar Kaffeine para sintonizar y ver las cadenas de TDT.
Otra forma es mediante el comando  w_scan -X >> ~/channels.conf  buscar todos los canales, y luego verlos con vlc.
En estas direcciones te explican mucho mejor como hacerlo:
http://wiki.bandaancha.st/NPG_Real_HDTV_nano
http://manualinux.eu/tdt.html
http://usuariodebian.blogspot.com.es/2011/06/real-hdtv-nano-3d-television-digital.html


Minecraft pantalla en negro
A mi hija le gusta el Minecraft y lo tenía instalado en Debian 7 funcionando perfectamente. Cuando lo instalo en Debian 8 se queda en una pantalla en negro. Buscando y buscando por internet encontré la solución.
http://www.taringa.net/posts/linux/15418790/Pantalla-negra-Minecraft-Ubuntu-12-04.html
En resumen, bajas
 http://sourceforge.net/projects/java-game-lib/files/Official%20Releases/LWJGL%202.8.1/lwjgl-2.8.1.zip/download
y sustituyes en .minecraft/bin los ficheros que vienen lwjgl-2.8.1/jar/ del archivo comprimido, y en natives los que vienen en native/linux del archivo comprimido.

Code::Blocks
Code::Blocks es una IDE muy buena para programar C yC++, yo la utilizo para programar  wxwidgets.
En Debian 7 venia en los repositorios oficiales, pero en Debian 8 a desaparecido. El motivo principal es que esta realizada con la librería wxwidgets. 2.8 y en Debian 8 vienen las librerías 3.0 wx. Solución:
He cogido los paquetes deb de las librerías de la versión 2.8 que vienen en Debian 7 y los he instalado. Y ahora ya me funciona el codeblocks en Debian 8.

Gnumeric y Abiword  muy lentos de Debian 8

Gnumeric es una hoja de cálculo sencilla, antes cargaba muy rápido, pero ahora con la instalación que tengo de MATE y XFCE , es muy, pero que muy lenta, con decir que Openoffice es mas rápido se dice todo.
La he desinstalado y he instalado la que venía en Debian 7, y ahora vuelve a funcionar rápido y bien.
Con Abiword pasa lo mismo, lo he desinstalado e instalado la versión de Debian 7.

Desaparición de paquetes en Debian 8
Code::Blocks        -    He tenido que utilizar los de Debian 7
gftp                -    He tenido que utilizar los de Debian 7
amule               -    He tenido que utilizar los de Debian 7





Espero que le sirva a alguien

SETA43

www.000webhost.com